<?xml version="1.0"?>
<template
    format="5"
    revision="2"
    name="Android Wear Module"
    description="Creates a new Android Wear Module."
    minApi="20"
    minBuildApi="20">

    <category value="Application" />

    <formfactor value="Wear" />

    <thumbs>
        <thumb>template_new_project.png</thumb>
    </thumbs>

    <parameter
        id="packageName"
        name="Package name"
        type="string"
        constraints="app_package|nonempty"
        default="com.mycompany.myapp" />

    <parameter
        id="appTitle"
        name="Module title"
        type="string"
        constraints="nonempty"
        default="My Wear App" />

    <parameter
        id="minApi"
        name="Minimum API level"
        type="string"
        constraints="apilevel"
        default="4.4W" />

    <!--
      Usually the same as minApi, but when minApi is a code name this will be the corresponding
      API level
    -->
    <parameter
        id="minApiLevel"
        name="Minimum API level"
        type="string"
        constraints="apilevel"
        default="20" />

    <parameter
        id="targetApi"
        name="Target API level"
        type="string"
        constraints="apilevel"
        default="20" />

    <!--
      Usually the same as targetApi, but when targeting a preview platform this is the code name instead
    -->
    <parameter
        id="targetApiString"
        name="Target API"
        type="string"
        constraints="apilevel"
        default="4.4W" />

    <parameter
        id="buildApi"
        name="Build API level"
        type="string"
        constraints="apilevel"
        default="20" />

    <!--
      Usually the same as buildApi, but when targeting a preview platform this is the code name instead
    -->
    <parameter
        id="buildApiString"
        name="Build API level"
        type="string"
        constraints="apilevel"
        default="4.4W" />

    <parameter
        id="makeIgnore"
        name="Create .gitignore file"
        type="boolean"
        default="true" />

    <parameter
        id="enableProGuard"
        name="Enable ProGuard"
        type="boolean"
        default="true" />

    <globals file="globals.xml.ftl" />
    <execute file="recipe.xml.ftl" />

</template>
